org.apache.lucene.analysis.miscellaneous

## Class TrimFilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.TokenFilterFactory
    - - org.apache.lucene.analysis.miscellaneous.TrimFilterFactory

    public class TrimFilterFactory
    extends TokenFilterFactory

Factory for `TrimFilter`.

     <fieldType name="text_trm" class="solr.TextField" positionIncrementGap="100">
       <analyzer>
         <tokenizer class="solr.NGramTokenizerFactory"/>
         <filter class="solr.TrimFilterFactory" updateOffsets="false"/>
       </analyzer>
     </fieldType>

See Also:
  `TrimFilter`

### Field Summary

Fields
`protected boolean` `updateOffsets`

### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

`args, luceneMatchVersion`

### Constructor Summary

Constructors
Constructor and Description
`TrimFilterFactory()`

### Method Summary

Methods
`TrimFilter` `create(TokenStream input)` Transform the specified input TokenStream
`void` `init(Map<String,String> args)` Initialize this factory via a set of key-value pairs.

### Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory

`availableTokenFilters, forName, lookupClass, reloadTokenFilters`

### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

`assureMatchVersion, getArgs, getBoolean, getBoolean, getInt, getInt, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSnowballWordSet, getWordSet, setLuceneMatchVersion, splitFileNames`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### updateOffsets

    protected boolean updateOffsets

### Constructor Detail

#### TrimFilterFactory

    public TrimFilterFactory()

### Method Detail

#### init

    public void init(Map<String,String> args)

Description copied from class: `AbstractAnalysisFactory`
Initialize this factory via a set of key-value pairs.

Overrides:
  `init` in class `AbstractAnalysisFactory`

#### create

    public TrimFilter create(TokenStream input)

Description copied from class: `TokenFilterFactory`
Transform the specified input TokenStream

Specified by:
  `create` in class `TokenFilterFactory`